package com.uoc.educationalVG.framework;

/**
 * It features methods to start playing the music stream, pausing and stopping
 * it, and setting it to loop playback, which means it will automatically start
 * from the beginning when it reaches the end of the audio file. Additionally,
 * we can set the volume as a float in the range of 0 (silent) to 1 (maximum
 * volume). A couple of getter methods are also available that allow us to poll
 * the current state of the Music instance. Once we no longer need the Music
 * instance, we have to dispose of it. This will close any system resources,
 * such as the file from which the audio was streamed.
 * 
 * @author "Beginning Android 4 Games Development"
 * 
 */

public interface Music {
	public void play();

	public void stop();

	public void pause();

	public void setLooping(boolean looping);

	public void setVolume(float volume);

	public boolean isPlaying();

	public boolean isStopped();

	public boolean isLooping();

	public void dispose();
}
